All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.tableview
Class SwingTableViewSupport

    com.sas.actionprovider.support.tableview.SwingTableViewSupport

All Implemented Interfaces:
  DynamicActionCountInterface, RelationalActionTypeKeysInterface, SwingRelationalActionTypeKeysInterface, SwingTableViewAreaInterface, TableViewAreaInterface

    public class SwingTableViewSupport

implements DynamicActionCountInterface, SwingRelationalActionTypeKeysInterface, SwingTableViewAreaInterface

In the context of the ActionProvider framework, this Support class assists in the registering and retrieval of actions for relational swing table view components such as the TableView.

Field Summary

Fields inherited from class com.sas.actionprovider.support.tableview.BaseTableViewSupport
`RB_KEY`

Fields inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`AREA_DISABLED, AREA_VALUE_ATTRKEY, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, NON_SPECIFIC_AREA, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.support.tableview.SwingRelationalActionTypeKeysInterface
`ADD_ROW_ACTION, CANCEL_ROW_INSERT_ACTION, CLEAR_ACTION, COMMIT_INSERTED_ROW_ACTION, COPY_ACTION, CUT_ACTION, DELETE_ROW_ACTION, DRAG_COLUMN_ACTION, HIDE_COLUMN_ACTION, HOLD_COLUMN_LEFT_ACTION, HOLD_COLUMN_RIGHT_ACTION, HOLD_ROW_BOTTOM_ACTION, HOLD_ROW_MENU_ACTION, HOLD_ROW_TOP_ACTION, INSERT_ROW_ACTION, MOVE_COLUMN_MENU_ACTION, PASTE_ACTION, RELEASE_ALL_COLUMNS_ACTION, RELEASE_ALL_ROWS_ACTION, RELEASE_COLUMN_ACTION, RELEASE_ROW_ACTION, RELEASE_SELECTED_COLUMN_ACTION, RELEASE_SELECTED_ROW_ACTION, SHOW_ALL_COLUMNS_ACTION, SHOW_COLUMN_ACTION`

Fields inherited from interface com.sas.actionprovider.support.tableview.RelationalActionTypeKeysInterface
`CALCULATED_ITEM_SELECTOR_ACTION, CLEAR_SORT_ACTION, EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION, EXPORT_TO_ACTION, EXPORT_TO_EXCEL_ACTION, FILTER_SELECTOR_ACTION, FORMAT_SELECTOR_ACTION, MOVE_COLUMN_LEFT_ACTION, MOVE_COLUMN_RIGHT_ACTION, PERCENT_CALCULATIONS_SELECTOR_ACTION, QUERY_SELECTOR_ACTION, RANKING_SELECTOR_ACTION, SORT_COLUMN_ASCENDING_ACTION, SORT_COLUMN_DESCENDING_ACTION, SORT_SELECTOR_ACTION, TOTALS_SELECTOR_ACTION`

Fields inherited from interface com.sas.actionprovider.support.tableview.SwingTableViewAreaInterface
`DRAG_COLUMN_AREA, TOOLBAR_AREA`

Fields inherited from interface com.sas.actionprovider.support.tableview.TableViewAreaInterface
`COLUMN_HEADER_AREA, DATA_CELL_AREA, EDIT_COLUMN_AREA, EDIT_ROW_AREA, ROW_HEADER_AREA, TITLE_AREA`

Constructor Summary
`SwingTableViewSupport(java.lang.Class actionClass)` Constructor

Method Summary
`protected void` | `createDefaultActions()` Initializes the actionClass property and creates the default actions that this class supports.
`int` | `getActionCount(ActionSupportFilter actionFilter, java.lang.String actionType)` Returns the number of Actions of a particular actionType that are needed for the area.
`protected java.util.Map` | `getActionScopeAttributeMap(java.lang.String actionType, ActionSupportFilter filter)` Returns mappings for a pre-defined set of Action attribute keys to their corresponding dynamic values for a specific area and a specific actionType.
`protected java.util.Map` | `getAreaScopeAttributeMap(ActionSupportFilter filter)` Returns mappings for a pre-defined set of Action attribute keys to their corresponding dynamic values for a specific area.
`protected ActionOrderList` | `getDataCellOrderList(int type)`
`protected ActionOrderList` | `getHeaderOrderList(int type)`
`protected ActionOrderList` | `getToolBarOrderList(int type)`
`BaseAction` | `newActionInstance(java.lang.String areaType, java.lang.String actionType)` Return a newly instantiated default Action based on the specified actionType or return null if actionType not recognized.
`protected void` | `registerDataCellActions(java.lang.String areaType)`
`protected void` | `registerDragColumnActions(java.lang.String areaType)`
`protected void` | `registerDynamicValueInfo()` Registers, via addDynamicValueInfo method, the dynamic value information for different areas.
`protected void` | `registerHeaderActions(java.lang.String areaType)`
`protected void` | `registerToolBarActions(java.lang.String areaType)`
`protected boolean` | `validArea(Area area, ActionSupportFilter filter)` Validates that the given Area's 'type' and, if specified, its 'value' constraints are met by the information provided on the action filter.

Methods inherited from class com.sas.actionprovider.support.tableview.BaseTableViewSupport
`createAndRegisterAction, getCustomAttributeValue, initialize`

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`addDefaultAction, getAction, getActionId, getActionOrderList, getActionProvider, getActions, getActionScopeAttribute, getDefaultAction, getLocale, listActionTypes, listAreaTypes, listDefaultActions, reset, setAction, setActionOrderList, setActionProvider, setLocale`

Constructor Detail

### SwingTableViewSupport

    public SwingTableViewSupport(java.lang.Class actionClass)

  Constructor

  Parameters:
    `actionClass` - The class used to instantiate new actions.

Method Detail

### registerDynamicValueInfo

    protected void registerDynamicValueInfo()

  Registers, via addDynamicValueInfo method, the dynamic value information for different areas.

  Overrides:
    `registerDynamicValueInfo` in class `BaseTableViewSupport`

### getActionCount

    public int getActionCount(ActionSupportFilter actionFilter,
                              java.lang.String actionType)

  Description copied from interface: `DynamicActionCountInterface`
  Returns the number of Actions of a particular actionType that are needed for the area.

  Specified by:
    `getActionCount` in interface `DynamicActionCountInterface`
  Parameters:
    `actionFilter` -
    `actionType` -
  Returns:
    the number of Actions of a particular actionType that are needed for the area.

### createDefaultActions

    protected void createDefaultActions()

  Initializes the actionClass property and creates the default actions that this class supports. This method is called by the action provider that instantiates this support class.

  Overrides:
    `createDefaultActions` in class `BaseTableViewSupport`

### registerToolBarActions

    protected void registerToolBarActions(java.lang.String areaType)

### registerHeaderActions

    protected void registerHeaderActions(java.lang.String areaType)

### registerDataCellActions

    protected void registerDataCellActions(java.lang.String areaType)

### registerDragColumnActions

    protected void registerDragColumnActions(java.lang.String areaType)

### getDataCellOrderList

    protected ActionOrderList getDataCellOrderList(int type)

### getToolBarOrderList

    protected ActionOrderList getToolBarOrderList(int type)

### getHeaderOrderList

    protected ActionOrderList getHeaderOrderList(int type)

### newActionInstance

    public BaseAction newActionInstance(java.lang.String areaType,
                                        java.lang.String actionType)

  Return a newly instantiated default Action based on the specified actionType or return null if actionType not recognized.

  Specified by:
    `newActionInstance` in class `BaseActionProviderSupport`
  Parameters:
    `areaType` - the key associated with a defined area type.
    `actionType` - the key associated with a defined action type.
  Returns:
    a new action of the specified type.

### getActionScopeAttributeMap

    protected java.util.Map getActionScopeAttributeMap(java.lang.String actionType,
                                                       ActionSupportFilter filter)

  Description copied from class: `BaseActionProviderSupport`
  Returns mappings for a pre-defined set of Action attribute keys to their corresponding dynamic values for a specific area and a specific actionType.

  Overrides:
    `getActionScopeAttributeMap` in class `BaseActionProviderSupport`
    `filter` - Defines the specific area.

### getAreaScopeAttributeMap

    protected java.util.Map getAreaScopeAttributeMap(ActionSupportFilter filter)

  Description copied from class: `BaseActionProviderSupport`
  Returns mappings for a pre-defined set of Action attribute keys to their corresponding dynamic values for a specific area.

  Specified by:
    `getAreaScopeAttributeMap` in class `BaseActionProviderSupport`
  Parameters:
    `filter` - Defines the specific area.
  Returns:
    mappings for a pre-defined set of Action Attribues keys

### validArea

    protected boolean validArea(Area area,
                                ActionSupportFilter filter)

  Validates that the given Area's 'type' and, if specified, its 'value' constraints are met by the information provided on the action filter. If the Area is null or its 'type' is null then boolean true is returned because then there are no constraints specified and, therefore, any specification of the current area on the actionFilter must be valid. Otherwise, the method validates that the area 'type' and, if specified, area 'value' match the current area state represented by information on the actionFilter. In the DATA_CELL_AREA, the Area 'values' should be the name of a column header that matches the header of the column corresponding to the column index provided on the action filter.

  Overrides:
    `validArea` in class `BaseTableViewSupport`
  Parameters:
    `area` - The Area object that may or may not specify certain area 'values'.
    `actionFilter` - the ActionSupportFilter that the component passed as an argument on the getActions() method.
  Returns:
    a boolean indicating whether the current area represented on the actionFilter matches any of the specified values on the Area object.
  See Also:
    `BaseActionProviderSupport.setAction(com.sas.actionprovider.BaseAction, java.util.Collection, com.sas.actionprovider.Area)`, `BaseActionProviderSupport.getActions(com.sas.actionprovider.ActionSupportFilter)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.